diff --git a/src/responder/common/negcache.c b/src/responder/common/negcache.c
index 5d82e52..2fdc951 100644
--- a/src/responder/common/negcache.c
+++ b/src/responder/common/negcache.c
@@ -83,7 +83,7 @@ static int sss_ncache_check_str(struct sss_nc_ctx *ctx, char *str, int ttl)
     char *ep;
     int ret;
 
-    DEBUG(8, ("Checking negative cache for [%s]\n", str));
+    DEBUG(8, "Checking negative cache for [%s]\n", str);
 
     data.dptr = NULL;
 
@@ -158,13 +158,13 @@ static int sss_ncache_set_str(struct sss_nc_ctx *ctx,
     ret = string_to_tdb_data(timest, &data);
     if (ret != EOK) goto done;
 
-    DEBUG(6, ("Adding [%s] to negative cache%s\n",
-              str, permanent?" permanently":""));
+    DEBUG(6, "Adding [%s] to negative cache%s\n",
+              str, permanent?" permanently":"");
 
     ret = tdb_store(ctx->tdb, key, data, TDB_REPLACE);
     if (ret != 0) {
-        DEBUG(1, ("Negative cache failed to set entry: [%s]\n",
-                  tdb_errorstr(ctx->tdb)));
+        DEBUG(1, "Negative cache failed to set entry: [%s]\n",
+                  tdb_errorstr(ctx->tdb));
         ret = EFAULT;
     }
 
@@ -632,23 +632,23 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
                                              filter_list[i],
                                              &domainname, &name);
             if (ret != EOK) {
-                DEBUG(1, ("Invalid name in filterUsers list: [%s] (%d)\n",
-                         filter_list[i], ret));
+                DEBUG(1, "Invalid name in filterUsers list: [%s] (%d)\n",
+                         filter_list[i], ret);
                 continue;
             }
 
             if (domainname && strcmp(domainname, dom->name)) {
-                DEBUG(1, ("Mismatch between domain name (%s) and name "
+                DEBUG(1, "Mismatch between domain name (%s) and name "
                           "set in FQN  (%s), skipping user %s\n",
-                          dom->name, domainname, name));
+                          dom->name, domainname, name);
                 continue;
             }
 
             ret = sss_ncache_set_user(ncache, true, dom, name);
             if (ret != EOK) {
-                DEBUG(1, ("Failed to store permanent user filter for [%s]"
+                DEBUG(1, "Failed to store permanent user filter for [%s]"
                           " (%d [%s])\n", filter_list[i],
-                          ret, strerror(ret)));
+                          ret, strerror(ret));
                 continue;
             }
         }
@@ -678,33 +678,33 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
                                          rctx->default_domain, filter_list[i],
                                          &domainname, &name);
         if (ret != EOK) {
-            DEBUG(1, ("Invalid name in filterUsers list: [%s] (%d)\n",
-                     filter_list[i], ret));
+            DEBUG(1, "Invalid name in filterUsers list: [%s] (%d)\n",
+                     filter_list[i], ret);
             continue;
         }
         if (domainname) {
             dom = responder_get_domain(rctx, domainname);
             if (!dom) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Invalid domain name [%s]\n", domainname));
+                      "Invalid domain name [%s]\n", domainname);
                 continue;
             }
 
             ret = sss_ncache_set_user(ncache, true, dom, name);
             if (ret != EOK) {
-                DEBUG(1, ("Failed to store permanent user filter for [%s]"
+                DEBUG(1, "Failed to store permanent user filter for [%s]"
                           " (%d [%s])\n", filter_list[i],
-                          ret, strerror(ret)));
+                          ret, strerror(ret));
                 continue;
             }
         } else {
             for (dom = domain_list; dom; dom = get_next_domain(dom, false)) {
                 ret = sss_ncache_set_user(ncache, true, dom, name);
                 if (ret != EOK) {
-                   DEBUG(1, ("Failed to store permanent user filter for"
+                   DEBUG(1, "Failed to store permanent user filter for"
                              " [%s:%s] (%d [%s])\n",
                              dom->name, filter_list[i],
-                             ret, strerror(ret)));
+                             ret, strerror(ret));
                     continue;
                 }
             }
@@ -730,23 +730,23 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
             ret = sss_parse_name(tmpctx, dom->names, filter_list[i],
                                  &domainname, &name);
             if (ret != EOK) {
-                DEBUG(1, ("Invalid name in filterGroups list: [%s] (%d)\n",
-                         filter_list[i], ret));
+                DEBUG(1, "Invalid name in filterGroups list: [%s] (%d)\n",
+                         filter_list[i], ret);
                 continue;
             }
 
             if (domainname && strcmp(domainname, dom->name)) {
-                DEBUG(1, ("Mismatch betwen domain name (%s) and name "
+                DEBUG(1, "Mismatch betwen domain name (%s) and name "
                           "set in FQN  (%s), skipping group %s\n",
-                          dom->name, domainname, name));
+                          dom->name, domainname, name);
                 continue;
             }
 
             ret = sss_ncache_set_group(ncache, true, dom, name);
             if (ret != EOK) {
-                DEBUG(1, ("Failed to store permanent group filter for [%s]"
+                DEBUG(1, "Failed to store permanent group filter for [%s]"
                           " (%d [%s])\n", filter_list[i],
-                          ret, strerror(ret)));
+                          ret, strerror(ret));
                 continue;
             }
         }
@@ -776,33 +776,33 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
                                          rctx->default_domain, filter_list[i],
                                          &domainname, &name);
         if (ret != EOK) {
-            DEBUG(1, ("Invalid name in filterGroups list: [%s] (%d)\n",
-                     filter_list[i], ret));
+            DEBUG(1, "Invalid name in filterGroups list: [%s] (%d)\n",
+                     filter_list[i], ret);
             continue;
         }
         if (domainname) {
             dom = responder_get_domain(rctx, domainname);
             if (!dom) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Invalid domain name [%s]\n", domainname));
+                      "Invalid domain name [%s]\n", domainname);
                 continue;
             }
 
             ret = sss_ncache_set_group(ncache, true, dom, name);
             if (ret != EOK) {
-                DEBUG(1, ("Failed to store permanent group filter for"
+                DEBUG(1, "Failed to store permanent group filter for"
                           " [%s] (%d [%s])\n", filter_list[i],
-                          ret, strerror(ret)));
+                          ret, strerror(ret));
                 continue;
             }
         } else {
             for (dom = domain_list; dom; dom = get_next_domain(dom, false)) {
                 ret = sss_ncache_set_group(ncache, true, dom, name);
                 if (ret != EOK) {
-                   DEBUG(1, ("Failed to store permanent group filter for"
+                   DEBUG(1, "Failed to store permanent group filter for"
                              " [%s:%s] (%d [%s])\n",
                              dom->name, filter_list[i],
-                             ret, strerror(ret)));
+                             ret, strerror(ret));
                     continue;
                 }
             }
diff --git a/src/responder/common/responder_cmd.c b/src/responder/common/responder_cmd.c
index 3a3fca9..bc395cf 100644
--- a/src/responder/common/responder_cmd.c
+++ b/src/responder/common/responder_cmd.c
@@ -33,7 +33,7 @@ int sss_cmd_send_error(struct cli_ctx *cctx, int err)
                          sss_packet_get_cmd(cctx->creq->in),
                          &cctx->creq->out);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot create new packet: %d\n", ret));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot create new packet: %d\n", ret);
         return ret;
     }
 
@@ -112,7 +112,7 @@ int sss_cmd_get_version(struct cli_ctx *cctx)
         sss_packet_get_body(cctx->creq->in, &req_body, &req_blen);
         if (req_blen == sizeof(uint32_t)) {
             memcpy(&client_version, req_body, sizeof(uint32_t));
-            DEBUG(5, ("Received client version [%d].\n", client_version));
+            DEBUG(5, "Received client version [%d].\n", client_version);
 
             i=0;
             while(cli_protocol_version[i].version>0) {
@@ -135,7 +135,7 @@ int sss_cmd_get_version(struct cli_ctx *cctx)
     sss_packet_get_body(cctx->creq->out, &body, &blen);
     ((uint32_t *)body)[0] = cctx->cli_protocol_version!=NULL ?
                                 cctx->cli_protocol_version->version : 0;
-    DEBUG(5, ("Offered version [%d].\n", ((uint32_t *)body)[0]));
+    DEBUG(5, "Offered version [%d].\n", ((uint32_t *)body)[0]);
 
     sss_cmd_done(cctx, NULL);
     return EOK;
@@ -221,8 +221,8 @@ void setent_notify(struct setent_req_list **list, errno_t err)
              * request. Log a bug and continue.
              */
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("BUG: a callback did not free its request. "
-                   "May leak memory\n"));
+                  "BUG: a callback did not free its request. "
+                   "May leak memory\n");
             /* Skip to the next since a memory leak is non-fatal */
             *list = (*list)->next;
         }
